function outColMap = discColMap(inColMap,numNum)
    outColMap = interp1(linspace(0,1,size(inColMap,1)),...
        inColMap,linspace(0,1,numNum),'PCHIP');
    outColMap(outColMap<0)  = 0;
    outColMap(outColMap>1)  = 1;
end
